import * as Router from 'koa-router';
import * as validators from './validators';
export interface ParamError {
    path: string;
    value: any;
    failed: string;
}
export interface ParamsContext {
    errors?: ParamError[];
}
export interface ParamsOptions {
    [key: string]: validators.Validator | validators.Validator[];
}
export declare function params(options: ParamsOptions): Router.IMiddleware;
